Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mfwk.cib.CIBException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CIBAttributeNotFoundException, CIBIOException, CIBProviderHandlerNotFoundException, CIBProviderNotFoundException

public class CIBException
extends java.lang.Exception

Root model for the CIB Exception

See Also:
  Serialized Form

Constructor Summary
`CIBException()` Contructs a new CIBException
`CIBException(java.lang.String message)` Contructs a new CIBException with the detailed message
`CIBException(java.lang.String message, java.lang.Throwable cause)` Constructs a new CIBException with the detailed message and the nested throwable
`CIBException(java.lang.Throwable cause)` Contructs a new CIBException with a nested trowable

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBException

    public CIBException()

  Contructs a new CIBException

### CIBException

    public CIBException(java.lang.String message)

  Contructs a new CIBException with the detailed message

Parameters:
  `message` - String

### CIBException

    public CIBException(java.lang.String message,
                        java.lang.Throwable cause)

  Constructs a new CIBException with the detailed message and the nested throwable

Parameters:
  `message` - String
  `cause` - Throwable

### CIBException

    public CIBException(java.lang.Throwable cause)

  Contructs a new CIBException with a nested trowable

Parameters:
  `cause` - Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD